"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.bootstrap = void 0;
const logger_1 = require("../logger");
const app_1 = __importDefault(require("./app"));
const bootstrap = async (config, initContextStorage) => {
    let close;
    try {
        logger_1.logger.log('Start bootstrapping the application', 'Bootstrap');
        close = await new app_1.default(config).buildServer(initContextStorage);
    }
    catch (error) {
        logger_1.logger.error(error, error.stack, 'Bootstrap');
        process.exit(0);
    }
    return close;
};
exports.bootstrap = bootstrap;
//# sourceMappingURL=bootstrap.js.map